Sixword encodes binary data in a human-friendly format using English words. It uses the 6-word binary encoding created for S/Key (tm) and standardized by RFC 2289, RFC 1760, and RFC 1751. Binary data is encoded using a dictionary of 2048 short English words (1-4 letters in length). Each block of 64 bits is encoded using 6 words, which includes 2 parity bits for error checking. This is ideal for transmitting binary data such as cryptographic keys where humans must communicate or enter the values. See also: Bubble Babble, PGP Word List, Diceware, Base64, Base32

Required Ruby Version

>= 3.0

Authors

Andy Brody

Versions

  1. 0.5.0
    1. source

      1. 0.5.0 source September 18, 2025 (44.5 KB)
  2. 0.4.0
    1. source

      1. 0.4.0 source October 05, 2021 (43 KB)
  3. 0.3.5
    1. source

      1. 0.3.5 source March 28, 2018 (43 KB)
  4. 0.3.4
    1. source

      1. 0.3.4 source December 06, 2015 (43 KB)
  5. 0.3.3
    1. source

      1. 0.3.3 source December 01, 2015 (41.5 KB)
Show all versions (11 total)

Pushed by

SHA 256 checksum